# create

open fun create(name: String, displayName: String): ProblemGroup

Creates a new root problem i.e. a group with no parent.

#### Return

the new group

#### Since

8.13

#### Parameters

name

the name of the group. The convention is to use kebab-case (ie lower case with hyphens).

displayName

the user-friendly display name of the group

open fun create(name: String, displayName: String, @Nullable parent: @Nullable ProblemGroup): ProblemGroup

Creates a new problem group.

#### Return

the new group

#### Since

8.13

#### Parameters

name

the name of the group. The convention is to use kebab-case (ie lower case with hyphens).

displayName

the user-friendly display name of the group

parent

the parent group